<?php

class DashboardController extends mfBaseController {
  
  protected function init() {
    $this->needlogin=true;
    $me = new User();
    $me->loadMe();
    $this->me = $me;
    $this->layout()->set("me",$me);
  }
  
  protected function indexAction() {
    
  }

  
  
  protected function testAction() {
    /*$b = new Building(7);
    var_dump($b->getNewObjectCode());exit;
    */
    
    /*$address = AddressModel::getOne(5);
    var_dump($address->types);exit;*/
    /*
    $a = new Address(1);
    var_dump($a->generateServicePin());exit;
    */
    
    $t = new Termination(45);
    $ports = $t->getLineworkportPairs();
    var_dump($ports);exit;
  }
  
  protected function pdfAction() {
    $order = new Order(7);
    $owner = new Address(1);
    
    $pdf = new Layout();
    $pdf->setTemplate("Emailtemplates/attachments/new_order.pdf");
    $pdf->set("ressourcePathPrefix", BASEDIR."/public/");
    $pdf->set("owner", $owner);
    $pdf->set("order", $order);

    $pdfpath = $pdf->renderPDF();
    $tvalue = $pdf->getReturnedValue();
    $pdfname = $tvalue['filename'];
    
    echo $pdfname;
    
    exit;
    return true;
    //var_dump($pdfpath);exit;

    // send email to customer

    // TODO template rendern auslagern nach Emailtempate klasse
    $tpl = new Layout();
    $tpl->setTemplate("Emailtemplates/customer/new_order");
    $tpl->set("owner", $owner);
    $body = $tpl->render();

    $values = $tpl->getReturnedValue();

    $subject = $values['subject'];
    $from = $values['from_email'];
    $from_name = $values['from_email_name'];
    $to = $owner->email;

    if(!$subject || !$from || !$from_name || !$to) {
      $this->log->warn("Service PIN Email not sent. (subject: '$subject', from: '$from', from_email: '$from_email', to: '$to')");
    } else {
      $email = new Emailnotification();
      $email->setSubject($subject);
      $email->setBody($body);
      $email->setFrom($from, $from_name);
      $email->setTo($to);
      $email->setHeader("X-xinon-oid", $order->id);
      $email->setHeader("X-xinon-pid", $product->id);
      $email->addAttachment($pdfpath, null, $pdfname, "application/pdf");
      $email->send();
    }
  }
}